<script setup lang="ts">
import { useMemberStore } from '@/stores/member'
import type { Member } from '@/types/Member'
import { ref } from 'vue'
const memberStore = useMemberStore()
const tel = ref('')
const member = ref<Member | null>()
// function searchTel() {
//   const result = memberStore.getMemberByTel(tel.value)
//   if (result !== null) {
//     member.value = result
//     emit('selected', member.value)
//   } else {
//     member.value = null
//   }
// }
// const emit = defineEmits<{
//   selected: [Member]
// }>()

async function onClick(value: string) {
  await memberStore.getMemberBytel(value)
  console.log(memberStore.editedMember)
}
</script>
<template>
  <v-container>
    <v-row>
      <v-col>
        <v-col cols="6" style="font-family: 'Kanit'">
          <v-text-field
            v-model="tel"
            density="compact"
            variant="solo"
            label="Search Members"
            append-inner-icon="mdi-magnify"
            single-line
            hide-details
            @click:append-inner="onClick(tel)"
            @keyup.enter="onClick(tel)"
            style="padding-left: 0%; width: 300px; max-width: 200%"
          ></v-text-field>
        </v-col>
      </v-col>
      <v-col class="pa-6" style="font-family: 'Kanit'">
        <v-row v-if="memberStore.editedMember.name !== ''">
          Name: {{ memberStore.editedMember.name }}
        </v-row>
        <v-row v-if="memberStore.editedMember.point !== 0">
          Point: {{ memberStore.editedMember.point }}
        </v-row>
      </v-col>
    </v-row>
  </v-container>
</template>
